API reference · Services
POST/api/v1/services

Create service

Creates a new service catalog entry. Resolve custom_service_type_id with GET /api/v1/service-types and category_id with GET /api/v1/categories/service before calling this endpoint. Use this endpoint for fixed, hourly, or usage-based service offerings.

RBAC · service

Request body

Content type: application/json

service_namestringRequired
min length 1 · max length 255
custom_service_type_idstring <uuid>Required
billing_methodstringRequired
Enum: fixedhourlyusage
default_ratenumberRequired
≥ 0
unit_of_measurestringRequired
min length 1 · max length 128
category_idanyOf
anyOf (option 1)string <uuid>
anyOf (option 2)null
anyOf (option 3)null
tax_rate_idanyOf
anyOf (option 1)string <uuid>
anyOf (option 2)null
anyOf (option 3)null
descriptionanyOf
anyOf (option 1)string
max length 2048
anyOf (option 2)null
anyOf (option 3)null

Response body

Success response 201 · schema ServiceEnvelope

dataobjectRequired
Service catalog entry.
service_idstring <uuid>Required
tenantstring <uuid>Required
service_namestringRequired
custom_service_type_idstring <uuid>Required
billing_methodstringRequired
Enum: fixedhourlyusage
default_ratenumberRequired
unit_of_measurestringRequired
category_idstring <uuid>Nullable
tax_rate_idstring <uuid>Nullable
descriptionstringNullable
item_kindstring
Enum: serviceproduct
is_activeboolean
skustringNullable
costnumberNullable
cost_currencystringNullable
min length 3 · max length 3
vendorstringNullable
manufacturerstringNullable
product_categorystringNullable
is_licenseboolean
license_termstringNullable
license_billing_cadencestringNullable
service_type_namestring
pricesarray of ServicePrice
itemsobject
currency_codestringRequired
min length 3 · max length 3
ratenumberRequired
metaobject

Response codes

201
Service created successfully.
400
Validation error.
401
Authentication failed.
403
Authenticated user lacks the required permission.